Subject: Re: bug#5080: indic text is not displayed correctly in emacs shell

From: Stefan Kangas <[email-masked]>
Date: Wed, 12 Aug 2020 19:04:57 -0700

Lars Magne Ingebrigtsen <[email-masked]> writes:

> Praveen A <[email-masked]> writes:
>
>>> (4a) Why is it taking Lohit Malayalam by default
>>> (4b) Why is the display cluttered/overlapped with some fonts like Meera
>>
>> 4b is now resolved, details in
>> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5146
>>
>> Now only remaining issue in the list is about selecting default font.
>> I think it should be taken from fc-match :lang=ml
>
> As far as I can tell from this thread, all the bugs were resolved,
> except possibly this one.
>
> Is this still a problem in Emacs 24?

That was 9 years ago.  Now that Emacs 27.1 is out, with harfbuzz support
and many other changes, could you please try again and see if you are
still seeing any errors?

FWIW, I tried quickly inserting indic text into a shell-mode buffer and
couldn't see anything wrong with it at a glance.  (But my inspection may
be overly superficial I can't read the script.)

Thanks in advance.

Best regards,
Stefan Kangas